<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Login Page</title>
    <link rel="stylesheet" type="text/css" href="style.css" />
    <script src="https://code.jquery.com/jquery-3.2.1.js"></script>
  </head>
  <body>
    <form
      id="registration_form"
      style="
        background-color: gray;
        width: 20%;
        height: 10%;
        padding: 5%;
        margin-left: 250px;
      "
    >
      <div>
        <h1 style="font-size: 30px">
          <b><i>LOGIN PAGE</i></b>
        </h1>
        <label>First Name*</label><br /><br />
        <input type="text" id="fname" name="required" /><span
          class="error_form"
          id="fname_error_message"
        ></span
        ><br /><br />
        <label>Last Name*</label><br /><br />
        <input type="text" id="lname" name="required" /><span
          class="error_form"
          id="lname_error_message"
        ></span
        ><br /><br />
        <label>Email</label><br /><br />
        <input type="email" id="email" placeholder="example@gmail.com" /><span
          class="error_form"
          id="email_error_message"
        ></span
        ><br /><br />
        <label>Phone Number</label
        ><span class="error_form" id="error_phnum"></span><br /><br />
        <input type="number" id="phnum" /><br /><br />
        <label id="gen">Gender</label
        ><span class="error_form" id="error_gender"></span><br /><br />
        <input type="radio" name="gender" value="Male" /> Male
        <input type="radio" name="gender" value="female" /> Female<br /><br />
        <label for="states">State</label>
        <select name="state" id="state">
          <option></option>
          <option value="kerala">Kerala</option>
          <option value="Tamilnadu">Tamilnadu</option>
          <option value="karnadaka">Karnadaka</option>
          <option value="goa">Goa</option></select
        ><span class="error_form" id="error_state"></span><br /><br />

        <label>Password</label><br /><br />
        <input type="password" id="pwd" /><span
          class="error_form"
          id="password_error_message"
        ></span
        ><br /><br />
        <label>Confirm Password</label><br /><br />
        <input type="password" id="pwdr" /><span
          class="error_form"
          id="confirm_password_error_message"
        ></span
        ><br /><br />
        <label>Subscribe</label>
        <input type="checkbox" id="true" /><br /><br />
        <label>Agree terms & conditions</label>
        <input type="checkbox" id="terms" /><span
          class="error_form"
          id="error_term"
        ></span
        ><br /><br />
        <input type="button" class="btn" id="btn" value="Submit" name="" />
      </div>
    </form>
    <script>
      $(function () {
        $("#fname_error_message").hide();
        $("#lname_error_message").hide();
        $("#email_error_message").hide();
        $("#password_error_message").hide();
        $("#confirm_password_error_message").hide();
        $("#error_phnum").hide();
        $("#error_gender").hide();
        $("#error_state").hide();
        $("#error_term").hide();
        var error_fname = false;
        var error_lname = false;
        var error_email = false;
        var error_password = false;
        var error_confirm_password = false;
        var error_phnumb = false;
        var error_gendermf = false;
        var error_states = false;
        var error_terms = false;
        var flag = false;

        $("#fname").focusout(function () {
          var f_name = $("#fname").val();
          check_fname();
        });
        $("#lname").focusout(function () {
          check_lname();
        });
        $("#email").focusout(function () {
          check_email();
        });
        $("#phnum").focusout(function () {
          check_phnum();
        });
        $("#state").focusout(function () {
          check_state();
        });
        $("#gen").focusout(function () {
          check_gender();
        });
        $("#pwd").focusout(function () {
          check_password();
        });
        $("#pwdr").focusout(function () {
          check_retype_password();
        });
        $("#terms").focusout(function () {
          check_terms();
        });
        function check_fname() {
          var pattern = /^[a-zA-Z]*$/;
          var f_name = $("#fname").val();
          if (pattern.test(f_name) && f_name !== "") {
            $("#fname_error_message").hide();
            $("#form_fname").css("border-bottom", "2px solid #34F458");
          } else {
            $("#fname_error_message").html("Should contain only Characters");
            $("#fname_error_message").show();
            $("#fname").css("border-bottom", "2px solid #F90A0A");
            error_fname = true;
          }
        }

        function check_lname() {
          var pattern = /^[a-zA-Z]*$/;
          var l_name = $("#lname").val();
          if (pattern.test(l_name) && l_name !== "") {
            $("#lname_error_message").hide();
            $("#lname").css("border-bottom", "2px solid #34F458");
          } else {
            $("#lname_error_message").html("Should contain only Characters");
            $("#lname_error_message").show();
            $("#flname").css("border-bottom", "2px solid #F90A0A");
            error_lname = true;
          }
        }
        function check_phnum() {
          var ph = $("#phnum").val();
          if (ph.length != 10) {
            $("#error_phnum").html("should contain 10 digits");
            $("#error_phnum").show();
            $("#phnum").css("border-bottom", "2px solid #F90A0A");
            error_phnumb = true;
          }
        }
        function check_gender() {
          var vargen = $("input[name=gender]").is(":checked");
          if (!vargen) {
            $("#error_gender").html("please select gender");
            $("#error_gender").show();
            error_gendermf = true;
          }
        }
        function check_email() {
          var pattern = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
          var e_mail = $("#email").val();
          if (pattern.test(e_mail) && e_mail !== "") {
            $("#email_error_message").hide();
            $("#email").css("border-bottom", "2px solid #34F458");
          } else {
            $("#email_error_message").html("Invalid Email");
            $("#email_error_message").show();
            $("#email").css("border-bottom", "2px solid #F90A0A");
            error_email = true;
          }
        }
        function check_state() {
          var state_1 = $("#state option:selected").val();
          if (state_1.length == "") {
            $("#error_state").html("select state");
            $("#error_state").show();
            error_states = true;
          }
        }
        function check_password() {
          var password_length = $("#pwd").val().length;
          if (password_length < 8) {
            $("#password_error_message").html("Atleast 8 Characters");
            $("#password_error_message").show();
            $("#pwd").css("border-bottom", "2px solid #F90A0A");
            error_password = true;
          } else {
            $("#password_error_message").hide();
            $("#pwd").css("border-bottom", "2px solid #34F458");
          }
        }

        function check_retype_password() {
          var password = $("#pwd").val();
          var retype_password = $("#pwdr").val();
          if (password !== retype_password) {
            $("#retype_password_error_message").html(
              "Passwords Did not Matched"
            );
            $("#retype_password_error_message").show();
            $("#pwdr").css("border-bottom", "2px solid #F90A0A");
            error_retype_password = true;
          } else {
            $("#retype_password_error_message").hide();
            $("#pwdr").css("border-bottom", "2px solid #34F458");
          }
        }
        function check_terms() {
          var t = $("#terms").prop("checked");
          if (!t) {
            $("#error_term").html(" select terms & conditions");
            $("#error_term").show();
            error_terms = true;
          }
        }
        $("#btn").click(function () {
          error_fname = false;
          error_lname = false;
          error_email = false;
          error_password = false;
          error_phnumb = false;
          error_retype_password = false;
          error_gendermf = false;
          error_states = false;
          error_terms = false;
          var f_name = $("#fname").val();

          check_fname();
          check_lname();
          check_phnum();
          check_email();
          check_password();
          check_retype_password();
          check_gender();
          check_state();
          check_terms();

          if (
            error_fname === false &&
            error_lname === false &&
            error_states === false &&
            error_phnumb === false &&
            error_gendermf === false &&
            error_email === false &&
            error_password === false &&
            error_retype_password === false &&
            error_terms === false
          ) {
            
            alert("Registration Successfull");
            var f_name = $("#fname").val();
            var l_name = $("#lname").val();
            var ph = $("#phnum").val();
            var vargen = $("input[name=gender]").val();
            var e_mail = $("#email").val();
            var state_1 = $("#state").val();

            var datas = [];

            datas.push(f_name);
            datas.push(l_name);
            datas.push(e_mail);
            datas.push(ph);
            datas.push(vargen);
            datas.push(state_1);
            var string = JSON.stringify(datas);

            console.log(string);
            $.ajax({
              type: "POST",
              url: "https://jsonplaceholder.typicode.com/posts",
              dataType: "json",
              success: function () {
                console.log("Post successfully created");
              },
              error: function () {
                console.log("Post not created.");
              },
            });
            //}
            //}
          } else {
            alert("Please Fill the form Correctly!!!");
            return false;
          }
        });
      });
    </script>
  </body>
</html>
